aboutsummaryrefslogtreecommitdiff
path: root/tests/conf
diff options
context:
space:
mode:
Diffstat (limited to 'tests/conf')
-rw-r--r--tests/conf36
1 files changed, 36 insertions, 0 deletions
diff --git a/tests/conf b/tests/conf
new file mode 100644
index 000000000000..adb6cd6fb9b5
--- /dev/null
+++ b/tests/conf
@@ -0,0 +1,36 @@
+# $FreeBSD: head/tools/regression/pjdfstest/tests/conf 211354 2010-08-15 21:29:03Z pjd $
+# pjdfstest configuration file
+
+# Supported operating systems: FreeBSD, Darwin, SunOS, Linux
+os=`uname`
+
+case "${os}" in
+FreeBSD|Darwin)
+ GREP=grep
+ #fs=`df -T . | tail -1 | awk '{print $2}'`
+ pattern="`df . | tail -1 | awk '{printf("%s on %s \n", $1, $6)}'`"
+ fs=`mount | ${GREP} -E "^${pattern}" | awk -F '[(,]' '{print toupper($2)}'`
+ ;;
+Solaris|SunOS)
+ GREP=ggrep
+ pattern=`df -Pk . | tail -1 | awk '{printf("%s on %s \n", $1, $6)}'`
+ fs=`mount -v | ${GREP} -E "^${pattern}" | awk '{print $5}' | \
+ tr -s '[:lower:]' '[:upper:]'`
+ ;;
+Linux)
+ GREP=grep
+ fs=`df -PT . | tail -1 | awk '{print toupper($2)}'`
+ ;;
+*)
+ echo "Unsupported operating system ${os}." >/dev/stderr
+ exit 1
+ ;;
+esac
+
+# If we cannot figure out file system type, define it here.
+#fs="UFS"
+
+if [ -z "${fs}" ]; then
+ echo "Cannot figure out file system type, define it by hand." >/dev/stderr
+ exit 1
+fi